/**
 * LICENCIA LGPL:
 * 
 * Esta librera es Software Libre; Usted puede redistribuirla y/o modificarla
 * bajo los trminos de la GNU Lesser General Public License (LGPL) tal y como 
 * ha sido publicada por la Free Software Foundation; o bien la versin 2.1 de 
 * la Licencia, o (a su eleccin) cualquier versin posterior.
 * 
 * Esta librera se distribuye con la esperanza de que sea til, pero SIN 
 * NINGUNA GARANTA; tampoco las implcitas garantas de MERCANTILIDAD o 
 * ADECUACIN A UN PROPSITO PARTICULAR. Consulte la GNU Lesser General Public 
 * License (LGPL) para ms detalles
 * 
 * Usted debe recibir una copia de la GNU Lesser General Public License (LGPL) 
 * junto con esta librera; si no es as, escriba a la Free Software Foundation 
 * Inc. 51 Franklin Street, 5 Piso, Boston, MA 02110-1301, USA o consulte
 * <http://www.gnu.org/licenses/>.
 *
 * Copyright 2011 Agencia de Tecnologa y Certificacin Electrnica
 */
package es.accv.arangi.base.exception.certificate;

import es.accv.arangi.base.exception.CertificateException;


/**
 * Excepciones debidas a errores durante el proceso de normalizar el certificado para
 * poder trabajar con l desde el proveedor criptogrfico de Arangi. Los errores pueden 
 * producirse debido a la codificacin del certificado o a que el proveedor no est 
 * correctamente instalado.
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class NormalizeCertificateException extends CertificateException {

	private static final long serialVersionUID = 1L;

	public NormalizeCertificateException() {
		super();
	}

	public NormalizeCertificateException(String message, Throwable cause) {
		super(message, cause);
	}

	public NormalizeCertificateException(String message) {
		super(message);
	}

	public NormalizeCertificateException(Throwable cause) {
		super(cause);
	}

}
