/**
 * LICENCIA LGPL:
 * 
 * Esta librera es Software Libre; Usted puede redistribuirla y/o modificarla
 * bajo los trminos de la GNU Lesser General Public License (LGPL) tal y como 
 * ha sido publicada por la Free Software Foundation; o bien la versin 2.1 de 
 * la Licencia, o (a su eleccin) cualquier versin posterior.
 * 
 * Esta librera se distribuye con la esperanza de que sea til, pero SIN 
 * NINGUNA GARANTA; tampoco las implcitas garantas de MERCANTILIDAD o 
 * ADECUACIN A UN PROPSITO PARTICULAR. Consulte la GNU Lesser General Public 
 * License (LGPL) para ms detalles
 * 
 * Usted debe recibir una copia de la GNU Lesser General Public License (LGPL) 
 * junto con esta librera; si no es as, escriba a la Free Software Foundation 
 * Inc. 51 Franklin Street, 5 Piso, Boston, MA 02110-1301, USA o consulte
 * <http://www.gnu.org/licenses/>.
 *
 * Copyright 2011 Agencia de Tecnologa y Certificacin Electrnica
 */
package es.accv.arangi.base.exception.device;

import es.accv.arangi.base.exception.DeviceException;

/**
 * No se encuentra un mdulo PKCS#11 instalado para tratar con el dispositivo.
 * Si no se instalaron las libreras (DLL en Windows) para tratar con la
 * tarjeta se producir esta excepcin.
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class ModuleNotFoundException extends DeviceException {

	private static final long serialVersionUID = 1L;

	public ModuleNotFoundException() {
		super();
	}

	public ModuleNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

	public ModuleNotFoundException(String message) {
		super(message);
	}

	public ModuleNotFoundException(Throwable cause) {
		super(cause);
	}

}
