/**
 * LICENCIA LGPL:
 * 
 * Esta librera es Software Libre; Usted puede redistribuirla y/o modificarla
 * bajo los trminos de la GNU Lesser General Public License (LGPL) tal y como 
 * ha sido publicada por la Free Software Foundation; o bien la versin 2.1 de 
 * la Licencia, o (a su eleccin) cualquier versin posterior.
 * 
 * Esta librera se distribuye con la esperanza de que sea til, pero SIN 
 * NINGUNA GARANTA; tampoco las implcitas garantas de MERCANTILIDAD o 
 * ADECUACIN A UN PROPSITO PARTICULAR. Consulte la GNU Lesser General Public 
 * License (LGPL) para ms detalles
 * 
 * Usted debe recibir una copia de la GNU Lesser General Public License (LGPL) 
 * junto con esta librera; si no es as, escriba a la Free Software Foundation 
 * Inc. 51 Franklin Street, 5 Piso, Boston, MA 02110-1301, USA o consulte
 * <http://www.gnu.org/licenses/>.
 *
 * Copyright 2011 Agencia de Tecnologa y Certificacin Electrnica
 */
package es.accv.arangi.base.exception.signature;


/**
 * Excepcin producida durante el proceso de lectura de un fichero (o stream de lectura) 
 * PDF. Las causas pueden ser:
 * <ul>
 * 	<li>El fichero no es un PDF.</li>
 * 	<li>El fichero PDF no est bien formado.</li>
 * </ul>
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class PDFDocumentException extends es.accv.arangi.base.exception.SignatureException {

	private static final long serialVersionUID = 1L;

	public PDFDocumentException() {
		super();
	}

	public PDFDocumentException(String message, Throwable cause) {
		super(message, cause);
	}

	public PDFDocumentException(String message) {
		super(message);
	}

	public PDFDocumentException(Throwable cause) {
		super(cause);
	}

}
